geronimo-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jarek Gawor (JIRA)" <j...@apache.org>
Subject [jira] Commented: (GERONIMO-3807) ERROR's logged during plugin installation for non-existent plugins
Date Fri, 15 Feb 2008 03:55:07 GMT

    [ https://issues.apache.org/jira/browse/GERONIMO-3807?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12569172#action_12569172
] 

Jarek Gawor commented on GERONIMO-3807:
---------------------------------------

Well, I think this should be a code change. These errors are logged by PluginInstallerGBean.validatePlugin()
The validatePlugin() method is for example called from the plugin portlet. For example, if
we use the portlet to _list_ plugins from repository that contains older geronimo plugins
these errors will be logged. But all the portlet is doing is just checking if a given can
be installed on this version of Geronimo or not. That should not result in an error message
to be logged. Maybe we should just change the log.error() call to log.debug() or .info() and
change the message to say that a given plugin 'is not installable'. Or we can just totally
remove that log statement.


> ERROR's logged during plugin installation for non-existent plugins
> ------------------------------------------------------------------
>
>                 Key: GERONIMO-3807
>                 URL: https://issues.apache.org/jira/browse/GERONIMO-3807
>             Project: Geronimo
>          Issue Type: Bug
>      Security Level: public(Regular issues) 
>    Affects Versions: 2.1
>            Reporter: Kevan Miller
>             Fix For: Wish List
>
>
> I brought up the console screen to install plugins and had a number of ERROR's logged
of the following form:
> 21:36:07,628 ERROR [PluginInstallerGBean] Cannot install plugin org.apache.geronimo.framework/geronimo-gbean-deployer-bootstrap/2.2-SNAPSHOT/car
on Geronimo 2.1-SNAPSHOT
> 21:36:07,722 ERROR [PluginInstallerGBean] Cannot install plugin org.apache.geronimo.framework/j2ee-system/2.2-SNAPSHOT/car
on Geronimo 2.1-SNAPSHOT
> 21:36:07,723 ERROR [PluginInstallerGBean] Cannot install plugin org.apache.geronimo.framework/xmlbeans/2.2-SNAPSHOT/car
on Geronimo 2.1-SNAPSHOT
> ...
> Presumably because the 2.2-SNAPSHOT plugins were registered in ~/.m2/repository/geronimo-plugins.xml,
but they are not in my repository.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message